## InfTextDefaultInsertOperation InfTextDefaultInsertOperation |

## Functions

InfTextDefaultInsertOperation * | inf_text_default_insert_operation_new ()
InfTextChunk * | inf_text_default_insert_operation_get_chunk ()

## Properties

InfTextChunk * | chunk | Read / Write / Construct Only
guint | position | Read / Write / Construct Only

## Types and Values

struct | InfTextDefaultInsertOperation
struct | InfTextDefaultInsertOperationClass

## Object Hierarchy

        GObject
        ╰── InfTextDefaultInsertOperation

## Implemented Interfaces

InfTextDefaultInsertOperation implements InfAdoptedOperation and InfTextInsertOperation.

## Description

## Functions

### inf_text_default_insert_operation_new ()

    InfTextDefaultInsertOperation *
    inf_text_default_insert_operation_new (guint pos,
                                           InfTextChunk *chunk);

Creates a new insert operation that, when applied, inserts `chunk` at `pos` .

[constructor]

#### Parameters

pos | The position at which to insert text. |
chunk | The text to insert. |

#### Returns

A new InfTextDefaultInsertOperation.

[transfer full]

### inf_text_default_insert_operation_get_chunk ()

    InfTextChunk *
    inf_text_default_insert_operation_get_chunk
                                   (InfTextDefaultInsertOperation *operation);

Returns the text inserted by `operation` .

#### Parameters

operation | A InfTextDefaultInsertOperation. |

#### Returns

A InfTextChunk, owned by the operation.

[transfer none]

## Types and Values

### struct InfTextDefaultInsertOperation

    struct InfTextDefaultInsertOperation;

### struct InfTextDefaultInsertOperationClass

    struct InfTextDefaultInsertOperationClass {
      GObjectClass parent_class;
    };

## Property Details

### The `“chunk”` property

      “chunk”                    InfTextChunk *

The text to insert.

Flags: Read / Write / Construct Only

### The `“position”` property

      “position”                 guint

Insertion position.

Flags: Read / Write / Construct Only

Default value: 0